# Store of mappings of each ARINC-424 record in FAA CIFP output.

record_maps = [  # pragma: no cover
    {
        "name": "airport",
        "section_code": "P",
        "subsection_code": "A",
        "section_pos": 4,
        "subsection_pos": 12,
        "cont_rec_pos": 21,
        "cont_rec_vals": ["0", "1"],
        "columns": [
            {"id": 1, "start": 0, "end": 1, "name": "Record_Type"},
            {"id": 2, "start": 1, "end": 4, "name": "Customer_Area_Code"},
            {"id": 3, "start": 4, "end": 5, "name": "Section_Code"},
            {"id": 4, "start": 6, "end": 10, "name": "Airport_Identifier"},
            {"id": 5, "start": 10, "end": 12, "name": "ICAO_Code"},
            {"id": 6, "start": 12, "end": 13, "name": "Subsection_Code"},
            {"id": 7, "start": 13, "end": 16, "name": "ATA__IATA_Designator"},
            {"id": 8, "start": 21, "end": 22, "name": "Continuation_Record"},
            {"id": 9, "start": 22, "end": 27, "name": "Speed_Limit_Altitude"},
            {"id": 10, "start": 27, "end": 30, "name": "Longest_Runway"},
            {"id": 11, "start": 30, "end": 31, "name": "IFR"},
            {"id": 12, "start": 31, "end": 32, "name": "Longest_Runway_Surface_Code"},
            {"id": 13, "start": 32, "end": 41, "name": "Latitude"},
            {"id": 14, "start": 41, "end": 51, "name": "Longitude"},
            {"id": 15, "start": 51, "end": 56, "name": "Magnetic_Variation"},
            {"id": 16, "start": 56, "end": 61, "name": "Elevation"},
            {"id": 17, "start": 61, "end": 64, "name": "Speed_Limit"},
            {"id": 18, "start": 64, "end": 68, "name": "Recommended_VHF_Navaid"},
            {"id": 19, "start": 68, "end": 70, "name": "ICAO_Code_2"},
            {"id": 20, "start": 70, "end": 75, "name": "Transition_Altitude"},
            {"id": 21, "start": 75, "end": 80, "name": "Transition_Level"},
            {"id": 22, "start": 80, "end": 81, "name": "Public_Military_Indicator"},
            {"id": 23, "start": 81, "end": 84, "name": "Time_Zone"},
            {"id": 24, "start": 84, "end": 85, "name": "Daylight_Indicator"},
            {"id": 25, "start": 85, "end": 86, "name": "Magnetic_True_Indicator"},
            {"id": 26, "start": 86, "end": 89, "name": "Datum_Code"},
            {"id": 27, "start": 93, "end": 123, "name": "Airport_Name"},
            {"id": 28, "start": 123, "end": 128, "name": "File_Record_Number"},
            {"id": 29, "start": 128, "end": 132, "name": "Cycle"},
        ],
    },
    {
        "name": "approach",
        "section_code": "P",
        "subsection_code": "F",
        "section_pos": 4,
        "subsection_pos": 12,
        "cont_rec_pos": 38,
        "cont_rec_vals": ["0", "1"],
        "columns": [
            {"id": 1, "start": 0, "end": 1, "name": "Record_Type"},
            {"id": 2, "start": 1, "end": 4, "name": "Customer_Area_Code"},
            {"id": 3, "start": 4, "end": 5, "name": "Section_Code"},
            {"id": 4, "start": 6, "end": 10, "name": "Airport_Identifier"},
            {"id": 5, "start": 10, "end": 12, "name": "ICAO_Code"},
            {"id": 6, "start": 12, "end": 13, "name": "Subsection_Code"},
            {"id": 7, "start": 13, "end": 19, "name": "Procedure_Identifier"},
            {"id": 8, "start": 19, "end": 20, "name": "Route_Type"},
            {"id": 9, "start": 20, "end": 25, "name": "Transition_Identifier"},
            {"id": 10, "start": 26, "end": 29, "name": "Sequence_Number"},
            {"id": 11, "start": 29, "end": 34, "name": "Fix_Identifier"},
            {"id": 12, "start": 34, "end": 36, "name": "ICAO_Code_2"},
            {"id": 13, "start": 36, "end": 37, "name": "Section_Code_2"},
            {"id": 14, "start": 37, "end": 38, "name": "Subsection_Code_2"},
            {"id": 15, "start": 38, "end": 39, "name": "Continuation_Record"},
            {"id": 16, "start": 39, "end": 43, "name": "Description_Code"},
            {"id": 17, "start": 43, "end": 44, "name": "Turn_Direction"},
            {"id": 18, "start": 44, "end": 47, "name": "RNP"},
            {"id": 19, "start": 47, "end": 49, "name": "Path_Terminator"},
            {"id": 20, "start": 49, "end": 50, "name": "Turn_Direction_Valid"},
            {"id": 21, "start": 50, "end": 54, "name": "Recommended_VHF_Navaid"},
            {"id": 22, "start": 54, "end": 56, "name": "ICAO_Code_3"},
            {"id": 23, "start": 56, "end": 62, "name": "Arc_Radius"},
            {"id": 24, "start": 62, "end": 66, "name": "Theta"},
            {"id": 25, "start": 66, "end": 70, "name": "Rho"},
            {"id": 26, "start": 70, "end": 74, "name": "Magnetic_Course"},
            {"id": 27, "start": 74, "end": 78, "name": "Route_Hold_Distance_Time"},
            {"id": 28, "start": 78, "end": 79, "name": "Section_Code_3"},
            {"id": 29, "start": 79, "end": 80, "name": "Subsection_Code_3"},
            {"id": 30, "start": 82, "end": 83, "name": "Altitude_Descriptor"},
            {"id": 31, "start": 83, "end": 84, "name": "ATC_Indicator"},
            {"id": 32, "start": 84, "end": 89, "name": "Altitude_1"},
            {"id": 33, "start": 89, "end": 94, "name": "Altitude_2"},
            {"id": 34, "start": 94, "end": 99, "name": "Transition_Altitude"},
            {"id": 35, "start": 99, "end": 102, "name": "Speed_Limit"},
            {"id": 36, "start": 102, "end": 106, "name": "Vertical_Angle"},
            {"id": 37, "start": 106, "end": 111, "name": "Center_Fix"},
            {"id": 38, "start": 111, "end": 112, "name": "Multiple_Code"},
            {"id": 39, "start": 112, "end": 114, "name": "ICAO_Code_4"},
            {"id": 40, "start": 114, "end": 115, "name": "Section_Code_4"},
            {"id": 41, "start": 115, "end": 116, "name": "Subsection_Code_4"},
            {"id": 42, "start": 116, "end": 117, "name": "GNSS__FMS_Indicator"},
            {"id": 43, "start": 117, "end": 118, "name": "Speed_Limit_Indicator"},
            {"id": 44, "start": 118, "end": 119, "name": "Route_Qualifier_1"},
            {"id": 45, "start": 119, "end": 120, "name": "Route_Qualifier_2"},
            {"id": 46, "start": 123, "end": 128, "name": "File_Record_Number"},
            {"id": 47, "start": 128, "end": 132, "name": "Cycle"},
        ],
    },
    {
        "name": "approach_cont",
        "section_code": "P",
        "subsection_code": "F",
        "section_pos": 4,
        "subsection_pos": 12,
        "cont_rec_pos": 38,
        "cont_rec_vals": ["2"],
        "columns": [
            {"id": 1, "start": 0, "end": 1, "name": "Record_Type"},
            {"id": 2, "start": 1, "end": 4, "name": "Customer_Area_Code"},
            {"id": 3, "start": 4, "end": 5, "name": "Section_Code"},
            {"id": 4, "start": 6, "end": 10, "name": "Airport_Identifier"},
            {"id": 5, "start": 10, "end": 12, "name": "ICAO_Code"},
            {"id": 6, "start": 12, "end": 13, "name": "Subsection_Code"},
            {"id": 7, "start": 13, "end": 19, "name": "Procedure_Identifier"},
            {"id": 8, "start": 19, "end": 20, "name": "Route_Type"},
            {"id": 9, "start": 20, "end": 25, "name": "Transition_Identifier"},
            {"id": 10, "start": 26, "end": 29, "name": "Sequence_Number"},
            {"id": 11, "start": 29, "end": 34, "name": "Fix_Identifier"},
            {"id": 12, "start": 34, "end": 36, "name": "ICAO_Code_2"},
            {"id": 13, "start": 36, "end": 37, "name": "Section_Code_2"},
            {"id": 14, "start": 37, "end": 38, "name": "Subsection_Code_2"},
            {"id": 15, "start": 38, "end": 39, "name": "Continuation_Record"},
            {"id": 16, "start": 39, "end": 40, "name": "Application_Type"},
            {"id": 17, "start": 40, "end": 41, "name": "FAS_Block"},
            {"id": 18, "start": 41, "end": 51, "name": "FAS_Block_LOS_Name"},
            {"id": 19, "start": 51, "end": 52, "name": "LNAV__VNAV"},
            {"id": 20, "start": 52, "end": 62, "name": "LNAV__VNAV_LOS_Name"},
            {"id": 21, "start": 62, "end": 63, "name": "LNAV"},
            {"id": 22, "start": 63, "end": 73, "name": "LNAV_LOS_Name"},
            {"id": 23, "start": 118, "end": 119, "name": "Route_Qualifier_1"},
            {"id": 24, "start": 119, "end": 120, "name": "Route_Qualifier_2"},
            {"id": 25, "start": 123, "end": 128, "name": "File_Record_Number"},
            {"id": 26, "start": 128, "end": 132, "name": "Cycle"},
        ],
    },
    {
        "name": "controlled_airspace",
        "section_code": "U",
        "subsection_code": "C",
        "section_pos": 4,
        "subsection_pos": 5,
        "cont_rec_pos": 24,
        "cont_rec_vals": ["0", "1"],
        "columns": [
            {"id": 1, "start": 0, "end": 1, "name": "Record_Type"},
            {"id": 2, "start": 1, "end": 4, "name": "Customer_Area_Code"},
            {"id": 3, "start": 4, "end": 5, "name": "Section_Code"},
            {"id": 4, "start": 5, "end": 6, "name": "Subsection_Code"},
            {"id": 5, "start": 6, "end": 8, "name": "ICAO_Code"},
            {"id": 6, "start": 8, "end": 9, "name": "Airspace_Type"},
            {"id": 7, "start": 9, "end": 14, "name": "Airspace_Center"},
            {"id": 8, "start": 14, "end": 15, "name": "Section_Code_2"},
            {"id": 9, "start": 15, "end": 16, "name": "Subsection_Code_2"},
            {"id": 10, "start": 16, "end": 17, "name": "Airspace_Class"},
            {"id": 11, "start": 19, "end": 20, "name": "Multiple_Code"},
            {"id": 12, "start": 20, "end": 24, "name": "Sequence_Number"},
            {"id": 13, "start": 24, "end": 25, "name": "Continuation_Record"},
            {"id": 14, "start": 25, "end": 26, "name": "Level"},
            {"id": 15, "start": 26, "end": 27, "name": "Time_Code"},
            {"id": 16, "start": 27, "end": 28, "name": "NOTAM"},
            {"id": 17, "start": 30, "end": 32, "name": "Boundary_Via"},
            {"id": 18, "start": 32, "end": 41, "name": "Latitude"},
            {"id": 19, "start": 41, "end": 51, "name": "Longitude"},
            {"id": 20, "start": 51, "end": 60, "name": "Arc_Origin_Latitude"},
            {"id": 21, "start": 60, "end": 70, "name": "Arc_Origin_Longitude"},
            {"id": 22, "start": 70, "end": 74, "name": "Arc_Distance"},
            {"id": 23, "start": 74, "end": 78, "name": "Arc_Bearing"},
            {"id": 24, "start": 78, "end": 81, "name": "RNP"},
            {"id": 25, "start": 81, "end": 86, "name": "Lower_Limit"},
            {"id": 26, "start": 86, "end": 87, "name": "Lower_Limit_Unit_Indicator"},
            {"id": 27, "start": 87, "end": 92, "name": "Upper_Limit"},
            {"id": 28, "start": 92, "end": 93, "name": "Upper_Limit_Unit_Indicator"},
            {"id": 29, "start": 93, "end": 123, "name": "Airspace_Name"},
            {"id": 30, "start": 123, "end": 128, "name": "File_Record_Number"},
            {"id": 31, "start": 128, "end": 132, "name": "Cycle"},
        ],
    },
    {
        "name": "enroute_airways",
        "section_code": "E",
        "subsection_code": "R",
        "section_pos": 4,
        "subsection_pos": 5,
        "cont_rec_pos": 38,
        "cont_rec_vals": ["0", "1"],
        "columns": [
            {"id": 1, "start": 0, "end": 1, "name": "Record_Type"},
            {"id": 2, "start": 1, "end": 4, "name": "Customer_Area_Code"},
            {"id": 3, "start": 4, "end": 5, "name": "Section_Code"},
            {"id": 4, "start": 5, "end": 6, "name": "Subsection_Code"},
            {"id": 5, "start": 13, "end": 18, "name": "Route_Identifier"},
            {"id": 6, "start": 18, "end": 19, "name": "Sixth_Character"},
            {"id": 7, "start": 25, "end": 29, "name": "Sequence_Number"},
            {"id": 8, "start": 29, "end": 34, "name": "Fix_Identifier"},
            {"id": 9, "start": 34, "end": 36, "name": "ICAO_Code"},
            {"id": 10, "start": 36, "end": 37, "name": "Section_Code_2"},
            {"id": 11, "start": 37, "end": 38, "name": "Subsection_Code_2"},
            {"id": 12, "start": 38, "end": 39, "name": "Continuation_Record"},
            {"id": 13, "start": 39, "end": 43, "name": "Waypoint_Description_Code"},
            {"id": 14, "start": 43, "end": 44, "name": "Boundary_Code"},
            {"id": 15, "start": 44, "end": 45, "name": "Route_Type"},
            {"id": 16, "start": 45, "end": 46, "name": "Level"},
            {"id": 17, "start": 46, "end": 47, "name": "Direction_Restriction"},
            {"id": 18, "start": 47, "end": 49, "name": "Cruise_Table_Indicator"},
            {"id": 19, "start": 49, "end": 50, "name": "EU_Indicator"},
            {"id": 20, "start": 50, "end": 54, "name": "Recommended_VHF_Navaid"},
            {"id": 21, "start": 54, "end": 56, "name": "ICAO_Code_2"},
            {"id": 22, "start": 56, "end": 59, "name": "RNP"},
            {"id": 23, "start": 62, "end": 66, "name": "Theta"},
            {"id": 24, "start": 66, "end": 70, "name": "Rho"},
            {"id": 25, "start": 70, "end": 74, "name": "Outbound_Magnetic_Course"},
            {"id": 26, "start": 74, "end": 78, "name": "Route_Distance_From"},
            {"id": 27, "start": 78, "end": 82, "name": "Inbound_Magnetic_Course"},
            {"id": 28, "start": 83, "end": 88, "name": "Minimum_Altitude_1"},
            {"id": 29, "start": 88, "end": 93, "name": "Minimum_Altitude_2"},
            {"id": 30, "start": 93, "end": 98, "name": "Maximum_Altitude"},
            {"id": 31, "start": 123, "end": 128, "name": "File_Record_Number"},
            {"id": 32, "start": 128, "end": 132, "name": "Cycle"},
        ],
    },
    {
        "name": "enroute_waypoint",
        "section_code": "E",
        "subsection_code": "A",
        "section_pos": 4,
        "subsection_pos": 5,
        "cont_rec_pos": 21,
        "cont_rec_vals": ["0", "1"],
        "columns": [
            {"id": 1, "start": 0, "end": 1, "name": "Record_Type"},
            {"id": 2, "start": 1, "end": 4, "name": "Customer_Area_Code"},
            {"id": 3, "start": 4, "end": 5, "name": "Section_Code"},
            {"id": 4, "start": 5, "end": 6, "name": "Subsection_Code"},
            {"id": 5, "start": 6, "end": 10, "name": "Region_Code"},
            {"id": 6, "start": 10, "end": 12, "name": "ICAO_Code"},
            {"id": 7, "start": 12, "end": 13, "name": "Subsection_Code_2"},
            {"id": 8, "start": 13, "end": 18, "name": "Waypoint_Identifier"},
            {"id": 9, "start": 19, "end": 21, "name": "ICAO_Code_2"},
            {"id": 10, "start": 21, "end": 22, "name": "Continuation_Record"},
            {"id": 11, "start": 26, "end": 29, "name": "Type"},
            {"id": 12, "start": 29, "end": 31, "name": "Usage"},
            {"id": 13, "start": 32, "end": 41, "name": "Latitude"},
            {"id": 14, "start": 41, "end": 51, "name": "Longitude"},
            {"id": 15, "start": 74, "end": 79, "name": "Dynamic_Magnetic_Variation"},
            {"id": 16, "start": 79, "end": 84, "name": "Elevation"},
            {"id": 17, "start": 84, "end": 87, "name": "Datum_Code"},
            {"id": 18, "start": 95, "end": 98, "name": "Name_Format_Indicator"},
            {"id": 19, "start": 98, "end": 123, "name": "Name__Description"},
            {"id": 20, "start": 123, "end": 128, "name": "File_Record_Number"},
            {"id": 21, "start": 128, "end": 132, "name": "Cycle"},
        ],
    },
    {
        "name": "grid_mora",
        "section_code": "A",
        "subsection_code": "S",
        "section_pos": 4,
        "subsection_pos": 5,
        "cont_rec_pos": None,
        "cont_rec_vals": None,
        "columns": [
            {"id": 1, "start": 0, "end": 1, "name": "Record_Type"},
            {"id": 2, "start": 4, "end": 5, "name": "Section_Code"},
            {"id": 3, "start": 5, "end": 6, "name": "Subsection_Code"},
            {"id": 4, "start": 13, "end": 16, "name": "Start_Latitude"},
            {"id": 5, "start": 16, "end": 20, "name": "Start_Longitude"},
            {"id": 6, "start": 30, "end": 33, "name": "MORA_1"},
            {"id": 7, "start": 33, "end": 36, "name": "MORA_2"},
            {"id": 8, "start": 36, "end": 39, "name": "MORA_3"},
            {"id": 9, "start": 39, "end": 42, "name": "MORA_4"},
            {"id": 10, "start": 42, "end": 45, "name": "MORA_5"},
            {"id": 11, "start": 45, "end": 48, "name": "MORA_6"},
            {"id": 12, "start": 48, "end": 51, "name": "MORA_7"},
            {"id": 13, "start": 51, "end": 54, "name": "MORA_8"},
            {"id": 14, "start": 54, "end": 57, "name": "MORA_9"},
            {"id": 15, "start": 57, "end": 60, "name": "MORA_10"},
            {"id": 16, "start": 60, "end": 63, "name": "MORA_11"},
            {"id": 17, "start": 63, "end": 66, "name": "MORA_12"},
            {"id": 18, "start": 66, "end": 69, "name": "MORA_13"},
            {"id": 19, "start": 69, "end": 72, "name": "MORA_14"},
            {"id": 20, "start": 72, "end": 75, "name": "MORA_15"},
            {"id": 21, "start": 75, "end": 78, "name": "MORA_16"},
            {"id": 22, "start": 78, "end": 81, "name": "MORA_17"},
            {"id": 23, "start": 81, "end": 84, "name": "MORA_18"},
            {"id": 24, "start": 84, "end": 87, "name": "MORA_19"},
            {"id": 25, "start": 87, "end": 90, "name": "MORA_20"},
            {"id": 26, "start": 90, "end": 93, "name": "MORA_21"},
            {"id": 27, "start": 93, "end": 96, "name": "MORA_22"},
            {"id": 28, "start": 96, "end": 99, "name": "MORA_23"},
            {"id": 29, "start": 99, "end": 102, "name": "MORA_24"},
            {"id": 30, "start": 102, "end": 105, "name": "MORA_25"},
            {"id": 31, "start": 105, "end": 108, "name": "MORA_26"},
            {"id": 32, "start": 108, "end": 111, "name": "MORA_27"},
            {"id": 33, "start": 111, "end": 114, "name": "MORA_28"},
            {"id": 34, "start": 114, "end": 117, "name": "MORA_29"},
            {"id": 35, "start": 117, "end": 120, "name": "MORA_30"},
            {"id": 36, "start": 123, "end": 128, "name": "File_Record_Number"},
            {"id": 37, "start": 128, "end": 132, "name": "Cycle"},
        ],
    },
    {
        "name": "heli_approach",
        "section_code": "H",
        "subsection_code": "F",
        "section_pos": 4,
        "subsection_pos": 12,
        "cont_rec_pos": 38,
        "cont_rec_vals": ["0", "1"],
        "columns": [
            {"id": 1, "start": 0, "end": 1, "name": "Record_Type"},
            {"id": 2, "start": 1, "end": 4, "name": "Customer_Area_Code"},
            {"id": 3, "start": 4, "end": 5, "name": "Section_Code"},
            {"id": 4, "start": 6, "end": 10, "name": "Heliport_Identifier"},
            {"id": 5, "start": 10, "end": 12, "name": "ICAO_Code"},
            {"id": 6, "start": 12, "end": 13, "name": "Subsection_Code"},
            {"id": 7, "start": 13, "end": 19, "name": "Procedure_Identifier"},
            {"id": 8, "start": 19, "end": 20, "name": "Route_Type"},
            {"id": 9, "start": 20, "end": 25, "name": "Transition_Identifier"},
            {"id": 10, "start": 26, "end": 29, "name": "Sequence_Number"},
            {"id": 11, "start": 29, "end": 34, "name": "Fix_Identifier"},
            {"id": 12, "start": 34, "end": 36, "name": "ICAO_Code_2"},
            {"id": 13, "start": 36, "end": 37, "name": "Section_Code_2"},
            {"id": 14, "start": 37, "end": 38, "name": "Subsection_Code_2"},
            {"id": 15, "start": 38, "end": 39, "name": "Continuation_Record"},
            {"id": 16, "start": 39, "end": 43, "name": "Description_Code"},
            {"id": 17, "start": 43, "end": 44, "name": "Turn_Direction"},
            {"id": 18, "start": 44, "end": 47, "name": "RNP"},
            {"id": 19, "start": 47, "end": 49, "name": "Path_Terminator"},
            {"id": 20, "start": 49, "end": 50, "name": "Turn_Direction_Valid"},
            {"id": 21, "start": 50, "end": 54, "name": "Recommended_VHF_Navaid"},
            {"id": 22, "start": 54, "end": 56, "name": "ICAO_Code_3"},
            {"id": 23, "start": 56, "end": 62, "name": "Arc_Radius"},
            {"id": 24, "start": 62, "end": 66, "name": "Theta"},
            {"id": 25, "start": 66, "end": 70, "name": "Rho"},
            {"id": 26, "start": 70, "end": 74, "name": "Magnetic_Course"},
            {"id": 27, "start": 74, "end": 78, "name": "Route_Hold_Distance_Time"},
            {"id": 28, "start": 78, "end": 79, "name": "Section_Code_3"},
            {"id": 29, "start": 79, "end": 80, "name": "Subsection_Code_3"},
            {"id": 30, "start": 82, "end": 83, "name": "Altitude_Descriptor"},
            {"id": 31, "start": 83, "end": 84, "name": "ATC_Indicator"},
            {"id": 32, "start": 84, "end": 89, "name": "Altitude_1"},
            {"id": 33, "start": 89, "end": 94, "name": "Altitude_2"},
            {"id": 34, "start": 94, "end": 99, "name": "Transition_Altitude"},
            {"id": 35, "start": 99, "end": 102, "name": "Speed_Limit"},
            {"id": 36, "start": 102, "end": 106, "name": "Vertical_Angle"},
            {"id": 37, "start": 106, "end": 111, "name": "Center_Fix"},
            {"id": 38, "start": 111, "end": 112, "name": "Multiple_Code"},
            {"id": 39, "start": 112, "end": 114, "name": "ICAO_Code_4"},
            {"id": 40, "start": 114, "end": 115, "name": "Section_Code_4"},
            {"id": 41, "start": 115, "end": 116, "name": "Subsection_Code_4"},
            {"id": 42, "start": 116, "end": 117, "name": "GNSS__FMS_Indicator"},
            {"id": 43, "start": 117, "end": 118, "name": "Speed_Limit_Indicator"},
            {"id": 44, "start": 118, "end": 119, "name": "Route_Qualifier_1"},
            {"id": 45, "start": 119, "end": 120, "name": "Route_Qualifier_2"},
            {"id": 46, "start": 123, "end": 128, "name": "File_Record_Number"},
            {"id": 47, "start": 128, "end": 132, "name": "Cycle"},
        ],
    },
    {
        "name": "heli_approach_cont",
        "section_code": "H",
        "subsection_code": "F",
        "section_pos": 4,
        "subsection_pos": 12,
        "cont_rec_pos": 38,
        "cont_rec_vals": ["2"],
        "columns": [
            {"id": 1, "start": 0, "end": 1, "name": "Record_Type"},
            {"id": 2, "start": 1, "end": 4, "name": "Customer_Area_Code"},
            {"id": 3, "start": 4, "end": 5, "name": "Section_Code"},
            {"id": 4, "start": 6, "end": 10, "name": "Heliport_Identifier"},
            {"id": 5, "start": 10, "end": 12, "name": "ICAO_Code"},
            {"id": 6, "start": 12, "end": 13, "name": "Subsection_Code"},
            {"id": 7, "start": 13, "end": 19, "name": "Procedure_Identifier"},
            {"id": 8, "start": 19, "end": 20, "name": "Route_Type"},
            {"id": 9, "start": 20, "end": 25, "name": "Transition_Identifier"},
            {"id": 10, "start": 26, "end": 29, "name": "Sequence_Number"},
            {"id": 11, "start": 29, "end": 34, "name": "Fix_Identifier"},
            {"id": 12, "start": 34, "end": 36, "name": "ICAO_Code_2"},
            {"id": 13, "start": 36, "end": 37, "name": "Section_Code_2"},
            {"id": 14, "start": 37, "end": 38, "name": "Subsection_Code_2"},
            {"id": 15, "start": 38, "end": 39, "name": "Continuation_Record"},
            {"id": 16, "start": 39, "end": 40, "name": "Application_Type"},
            {"id": 17, "start": 40, "end": 41, "name": "FAS_Block"},
            {"id": 18, "start": 41, "end": 51, "name": "FAS_Block_LOS_Name"},
            {"id": 19, "start": 51, "end": 52, "name": "LNAV__VNAV"},
            {"id": 20, "start": 52, "end": 62, "name": "LNAV__VNAV_LOS_Name"},
            {"id": 21, "start": 62, "end": 63, "name": "LNAV"},
            {"id": 22, "start": 63, "end": 73, "name": "LNAV_LOS_Name"},
            {"id": 23, "start": 118, "end": 119, "name": "Route_Qualifier_1"},
            {"id": 24, "start": 119, "end": 120, "name": "Route_Qualifier_2"},
            {"id": 25, "start": 123, "end": 128, "name": "File_Record_Number"},
            {"id": 26, "start": 128, "end": 132, "name": "Cycle"},
        ],
    },
    {
        "name": "heli_msa",
        "section_code": "H",
        "subsection_code": "S",
        "section_pos": 4,
        "subsection_pos": 12,
        "cont_rec_pos": 38,
        "cont_rec_vals": ["0", "1"],
        "columns": [
            {"id": 1, "start": 0, "end": 1, "name": "Record_Type"},
            {"id": 2, "start": 1, "end": 4, "name": "Customer_Area_Code"},
            {"id": 3, "start": 4, "end": 5, "name": "Section_Code"},
            {"id": 4, "start": 6, "end": 10, "name": "Heliport_Identifier"},
            {"id": 5, "start": 10, "end": 12, "name": "ICAO_Code"},
            {"id": 6, "start": 12, "end": 13, "name": "Subsection_Code"},
            {"id": 7, "start": 13, "end": 18, "name": "MSA_Center"},
            {"id": 8, "start": 18, "end": 20, "name": "ICAO_Code_2"},
            {"id": 9, "start": 20, "end": 21, "name": "Section_Code_2"},
            {"id": 10, "start": 21, "end": 22, "name": "Subsection_Code_2"},
            {"id": 11, "start": 22, "end": 23, "name": "Multiple_Code"},
            {"id": 12, "start": 38, "end": 39, "name": "Continuation_Record"},
            {"id": 13, "start": 42, "end": 48, "name": "Sector_Bearing_1"},
            {"id": 14, "start": 48, "end": 51, "name": "Sector_Altitude_1"},
            {"id": 15, "start": 51, "end": 53, "name": "Sector_Radial_1"},
            {"id": 16, "start": 53, "end": 59, "name": "Sector_Bearing_2"},
            {"id": 17, "start": 59, "end": 62, "name": "Sector_Altitude_2"},
            {"id": 18, "start": 62, "end": 64, "name": "Sector_Radial_2"},
            {"id": 19, "start": 64, "end": 70, "name": "Sector_Bearing_3"},
            {"id": 20, "start": 70, "end": 73, "name": "Sector_Altitude_3"},
            {"id": 21, "start": 73, "end": 75, "name": "Sector_Radial_3"},
            {"id": 22, "start": 75, "end": 81, "name": "Sector_Bearing_4"},
            {"id": 23, "start": 81, "end": 84, "name": "Sector_Altitude_4"},
            {"id": 24, "start": 84, "end": 86, "name": "Sector_Radial_4"},
            {"id": 25, "start": 86, "end": 92, "name": "Sector_Bearing_5"},
            {"id": 26, "start": 92, "end": 95, "name": "Sector_Altitude_5"},
            {"id": 27, "start": 95, "end": 97, "name": "Sector_Radial_5"},
            {"id": 28, "start": 97, "end": 103, "name": "Sector_Bearing_6"},
            {"id": 29, "start": 103, "end": 106, "name": "Sector_Altitude_6"},
            {"id": 30, "start": 106, "end": 108, "name": "Sector_Radial_6"},
            {"id": 31, "start": 108, "end": 114, "name": "Sector_Bearing_7"},
            {"id": 32, "start": 114, "end": 117, "name": "Sector_Altitude_7"},
            {"id": 33, "start": 117, "end": 119, "name": "Sector_Radial_7"},
            {"id": 34, "start": 119, "end": 120, "name": "Magnetic_True_Indicator"},
            {"id": 35, "start": 123, "end": 128, "name": "File_Record_Number"},
            {"id": 36, "start": 128, "end": 132, "name": "Cycle"},
        ],
    },
    {
        "name": "heli_terminal_waypoint",
        "section_code": "H",
        "subsection_code": "C",
        "section_pos": 4,
        "subsection_pos": 12,
        "cont_rec_pos": 21,
        "cont_rec_vals": ["0", "1"],
        "columns": [
            {"id": 1, "start": 0, "end": 1, "name": "Record_Type"},
            {"id": 2, "start": 1, "end": 4, "name": "Customer_Area_Code"},
            {"id": 3, "start": 4, "end": 5, "name": "Section_Code"},
            {"id": 4, "start": 6, "end": 10, "name": "Heliport_Identifier"},
            {"id": 5, "start": 10, "end": 12, "name": "ICAO_Code"},
            {"id": 6, "start": 12, "end": 13, "name": "Subsection_Code"},
            {"id": 7, "start": 13, "end": 18, "name": "Waypoint_Identifier"},
            {"id": 8, "start": 19, "end": 21, "name": "ICAO_Code_2"},
            {"id": 9, "start": 21, "end": 22, "name": "Continuation_Record"},
            {"id": 11, "start": 26, "end": 29, "name": "Type"},
            {"id": 12, "start": 29, "end": 31, "name": "Usage"},
            {"id": 13, "start": 32, "end": 41, "name": "Latitude"},
            {"id": 14, "start": 41, "end": 51, "name": "Longitude"},
            {"id": 15, "start": 74, "end": 79, "name": "Dynamic_Magnetic_Variation"},
            {"id": 16, "start": 79, "end": 84, "name": "Elevation"},
            {"id": 17, "start": 84, "end": 87, "name": "Datum_Code"},
            {"id": 18, "start": 95, "end": 98, "name": "Name_Format_Indicator"},
            {"id": 19, "start": 98, "end": 123, "name": "Name__Description"},
            {"id": 20, "start": 123, "end": 128, "name": "File_Record_Number"},
            {"id": 21, "start": 128, "end": 132, "name": "Cycle"},
        ],
    },
    {
        "name": "heliport",
        "section_code": "H",
        "subsection_code": "A",
        "section_pos": 4,
        "subsection_pos": 12,
        "cont_rec_pos": 21,
        "cont_rec_vals": ["0", "1"],
        "columns": [
            {"id": 1, "start": 0, "end": 1, "name": "Record_Type"},
            {"id": 2, "start": 1, "end": 4, "name": "Customer_Area_Code"},
            {"id": 3, "start": 4, "end": 5, "name": "Section_Code"},
            {"id": 4, "start": 6, "end": 10, "name": "Heliport_Identifier"},
            {"id": 5, "start": 10, "end": 12, "name": "ICAO_Code"},
            {"id": 6, "start": 12, "end": 13, "name": "Subsection_Code"},
            {"id": 7, "start": 13, "end": 16, "name": "ATA__IATA_Designator"},
            {"id": 8, "start": 16, "end": 21, "name": "Pad_Identifier"},
            {"id": 9, "start": 21, "end": 22, "name": "Continuation_Record"},
            {"id": 10, "start": 22, "end": 27, "name": "Speed_Limit_Altitude"},
            {"id": 11, "start": 27, "end": 30, "name": "Datum_Code"},
            {"id": 12, "start": 30, "end": 31, "name": "IFR"},
            {"id": 13, "start": 32, "end": 41, "name": "Latitude"},
            {"id": 14, "start": 41, "end": 51, "name": "Longitude"},
            {"id": 15, "start": 51, "end": 56, "name": "Magnetic_Variation"},
            {"id": 16, "start": 56, "end": 61, "name": "Elevation"},
            {"id": 17, "start": 61, "end": 64, "name": "Speed_Limit"},
            {"id": 18, "start": 64, "end": 68, "name": "Recommended_VHF_Navaid"},
            {"id": 19, "start": 68, "end": 70, "name": "ICAO_Code_2"},
            {"id": 20, "start": 70, "end": 75, "name": "Transition_Altitude"},
            {"id": 21, "start": 75, "end": 80, "name": "Transition_Level"},
            {"id": 22, "start": 80, "end": 81, "name": "Public_Military_Indicator"},
            {"id": 23, "start": 81, "end": 84, "name": "Time_Zone"},
            {"id": 24, "start": 84, "end": 85, "name": "Daylight_Indicator"},
            {"id": 25, "start": 85, "end": 91, "name": "Pad_Dimensions"},
            {"id": 26, "start": 91, "end": 92, "name": "Magnetic_True_Indicator"},
            {"id": 27, "start": 93, "end": 123, "name": "Heliport_Name"},
            {"id": 28, "start": 123, "end": 128, "name": "File_Record_Number"},
            {"id": 29, "start": 128, "end": 132, "name": "Cycle"},
        ],
    },
    {
        "name": "localizer",
        "section_code": "P",
        "subsection_code": "I",
        "section_pos": 4,
        "subsection_pos": 12,
        "cont_rec_pos": 21,
        "cont_rec_vals": ["0", "1"],
        "columns": [
            {"id": 1, "start": 0, "end": 1, "name": "Record_Type"},
            {"id": 2, "start": 1, "end": 4, "name": "Customer_Area_Code"},
            {"id": 3, "start": 4, "end": 5, "name": "Section_Code"},
            {"id": 4, "start": 6, "end": 10, "name": "Airport_Identifier"},
            {"id": 5, "start": 12, "end": 13, "name": "Subsection_Code"},
            {"id": 6, "start": 13, "end": 17, "name": "Localizer_Identifier"},
            {"id": 7, "start": 17, "end": 18, "name": "ILS_Category"},
            {"id": 8, "start": 21, "end": 22, "name": "Continuation_Record"},
            {"id": 9, "start": 22, "end": 27, "name": "Localizer_Frequency"},
            {"id": 10, "start": 27, "end": 32, "name": "Runway_Identifier"},
            {"id": 11, "start": 32, "end": 41, "name": "Localizer_Latitude"},
            {"id": 12, "start": 41, "end": 51, "name": "Localizer_Longitude"},
            {"id": 13, "start": 51, "end": 55, "name": "Localizer_Bearing"},
            {"id": 14, "start": 55, "end": 64, "name": "Glide_Slope_Latitude"},
            {"id": 15, "start": 64, "end": 74, "name": "Glide_Slope_Longitude"},
            {"id": 16, "start": 74, "end": 78, "name": "Localizer_Position"},
            {"id": 17, "start": 78, "end": 79, "name": "Localizer_Position_Ref"},
            {"id": 18, "start": 79, "end": 83, "name": "Glide_Slope_Position"},
            {"id": 19, "start": 83, "end": 87, "name": "Localizer_Width"},
            {"id": 20, "start": 87, "end": 90, "name": "Glide_Slope_Angle"},
            {"id": 21, "start": 90, "end": 95, "name": "Station_Declination"},
            {"id": 22, "start": 95, "end": 97, "name": "GS_Threshold_Landing_Height"},
            {"id": 23, "start": 97, "end": 102, "name": "Glide_Slope_Elevation"},
            {"id": 24, "start": 123, "end": 128, "name": "File_Record_Number"},
            {"id": 25, "start": 128, "end": 132, "name": "Cycle"},
        ],
    },
    {
        "name": "msa",
        "section_code": "P",
        "subsection_code": "S",
        "section_pos": 4,
        "subsection_pos": 12,
        "cont_rec_pos": 38,
        "cont_rec_vals": ["0", "1"],
        "columns": [
            {"id": 1, "start": 0, "end": 1, "name": "Record_Type"},
            {"id": 2, "start": 1, "end": 4, "name": "Customer_Area_Code"},
            {"id": 3, "start": 4, "end": 5, "name": "Section_Code"},
            {"id": 4, "start": 6, "end": 10, "name": "Airport_Identifier"},
            {"id": 5, "start": 10, "end": 12, "name": "ICAO_Code"},
            {"id": 6, "start": 12, "end": 13, "name": "Subsection_Code"},
            {"id": 7, "start": 13, "end": 18, "name": "MSA_Center"},
            {"id": 8, "start": 18, "end": 20, "name": "ICAO_Code_2"},
            {"id": 9, "start": 20, "end": 21, "name": "Section_Code_2"},
            {"id": 10, "start": 21, "end": 22, "name": "Subsection_Code_2"},
            {"id": 11, "start": 22, "end": 23, "name": "Multiple_Code"},
            {"id": 12, "start": 38, "end": 39, "name": "Continuation_Record"},
            {"id": 13, "start": 42, "end": 48, "name": "Sector_Bearing_1"},
            {"id": 14, "start": 48, "end": 51, "name": "Sector_Altitude_1"},
            {"id": 15, "start": 51, "end": 53, "name": "Sector_Radial_1"},
            {"id": 16, "start": 53, "end": 59, "name": "Sector_Bearing_2"},
            {"id": 17, "start": 59, "end": 62, "name": "Sector_Altitude_2"},
            {"id": 18, "start": 62, "end": 64, "name": "Sector_Radial_2"},
            {"id": 19, "start": 64, "end": 70, "name": "Sector_Bearing_3"},
            {"id": 20, "start": 70, "end": 73, "name": "Sector_Altitude_3"},
            {"id": 21, "start": 73, "end": 75, "name": "Sector_Radial_3"},
            {"id": 22, "start": 75, "end": 81, "name": "Sector_Bearing_4"},
            {"id": 23, "start": 81, "end": 84, "name": "Sector_Altitude_4"},
            {"id": 24, "start": 84, "end": 86, "name": "Sector_Radial_4"},
            {"id": 25, "start": 86, "end": 92, "name": "Sector_Bearing_5"},
            {"id": 26, "start": 92, "end": 95, "name": "Sector_Altitude_5"},
            {"id": 27, "start": 95, "end": 97, "name": "Sector_Radial_5"},
            {"id": 28, "start": 97, "end": 103, "name": "Sector_Bearing_6"},
            {"id": 29, "start": 103, "end": 106, "name": "Sector_Altitude_6"},
            {"id": 30, "start": 106, "end": 108, "name": "Sector_Radial_6"},
            {"id": 31, "start": 108, "end": 114, "name": "Sector_Bearing_7"},
            {"id": 32, "start": 114, "end": 117, "name": "Sector_Altitude_7"},
            {"id": 33, "start": 117, "end": 119, "name": "Sector_Radial_7"},
            {"id": 34, "start": 119, "end": 120, "name": "Magnetic_True_Indicator"},
            {"id": 35, "start": 123, "end": 128, "name": "File_Record_Number"},
            {"id": 36, "start": 128, "end": 132, "name": "Cycle"},
        ],
    },
    {
        "name": "ndb_navaid",
        "section_code": "D",
        "subsection_code": "B",
        "section_pos": 4,
        "subsection_pos": 5,
        "cont_rec_pos": 21,
        "cont_rec_vals": ["0", "1"],
        "columns": [
            {"id": 1, "start": 0, "end": 1, "name": "Record_Type"},
            {"id": 2, "start": 1, "end": 4, "name": "Customer_Area_Code"},
            {"id": 3, "start": 4, "end": 5, "name": "Section_Code"},
            {"id": 4, "start": 5, "end": 6, "name": "Subsection_Code"},
            {"id": 5, "start": 6, "end": 10, "name": "Airport_Identifier"},
            {"id": 6, "start": 10, "end": 12, "name": "ICAO_Code"},
            {"id": 7, "start": 13, "end": 17, "name": "NDB_Identifier"},
            {"id": 8, "start": 19, "end": 21, "name": "ICAO_Code_2"},
            {"id": 9, "start": 21, "end": 22, "name": "Continuation_Record"},
            {"id": 10, "start": 22, "end": 27, "name": "NDB_Frequency"},
            {"id": 11, "start": 27, "end": 32, "name": "NDB_Class"},
            {"id": 12, "start": 32, "end": 41, "name": "NDB_Latitude"},
            {"id": 13, "start": 41, "end": 51, "name": "NDB_Longitude"},
            {"id": 14, "start": 74, "end": 79, "name": "Magnetic_Variation"},
            {"id": 15, "start": 90, "end": 93, "name": "Datum_Code"},
            {"id": 16, "start": 93, "end": 123, "name": "NDB_Name"},
            {"id": 17, "start": 123, "end": 128, "name": "File_Record_Number"},
            {"id": 18, "start": 128, "end": 132, "name": "Cycle"},
        ],
    },
    {
        "name": "pathpoint",
        "section_code": "P",
        "subsection_code": "P",
        "section_pos": 4,
        "subsection_pos": 12,
        "cont_rec_pos": 26,
        "cont_rec_vals": ["0", "1"],
        "columns": [
            {"id": 1, "start": 0, "end": 1, "name": "Record_Type"},
            {"id": 2, "start": 1, "end": 4, "name": "Customer_Area_Code"},
            {"id": 3, "start": 4, "end": 5, "name": "Section_Code"},
            {"id": 4, "start": 6, "end": 10, "name": "Airport_Identifier"},
            {"id": 5, "start": 10, "end": 12, "name": "ICAO_Code"},
            {"id": 6, "start": 12, "end": 13, "name": "Subsection_Code"},
            {"id": 7, "start": 13, "end": 19, "name": "Approach_Identifier"},
            {"id": 8, "start": 19, "end": 24, "name": "Runway_or_Helipad_Identifier"},
            {"id": 9, "start": 24, "end": 26, "name": "Operations_Type"},
            {"id": 10, "start": 26, "end": 27, "name": "Continuation_Record"},
            {"id": 11, "start": 27, "end": 28, "name": "Route_Indicator"},
            {"id": 12, "start": 28, "end": 30, "name": "SBAS_Service_Provider"},
            {"id": 13, "start": 30, "end": 32, "name": "Reference_Path_Data_Selector"},
            {
                "id": 14,
                "start": 32,
                "end": 36,
                "name": "Reference_Path_Data_Identifier",
            },
            {
                "id": 15,
                "start": 36,
                "end": 37,
                "name": "Approach_Performance_Designator",
            },
            {"id": 16, "start": 37, "end": 48, "name": "LTP_Latitude"},
            {"id": 17, "start": 48, "end": 60, "name": "LTP_Longitude"},
            {"id": 18, "start": 60, "end": 66, "name": "LTP_Ellipsoid_Height"},
            {"id": 19, "start": 66, "end": 70, "name": "GPA"},
            {"id": 20, "start": 70, "end": 81, "name": "FPAP_Latitude"},
            {"id": 21, "start": 81, "end": 93, "name": "FPAP_Longitude"},
            {"id": 22, "start": 93, "end": 98, "name": "Course_Width_At_Threshold"},
            {"id": 23, "start": 98, "end": 102, "name": "Length_Offset"},
            {"id": 24, "start": 102, "end": 108, "name": "TCH"},
            {"id": 25, "start": 108, "end": 109, "name": "TCH_Units_Selector"},
            {"id": 26, "start": 109, "end": 112, "name": "HAL"},
            {"id": 27, "start": 112, "end": 115, "name": "VAL"},
            {"id": 28, "start": 115, "end": 123, "name": "CRC_Remainder"},
            {"id": 29, "start": 123, "end": 128, "name": "File_Record_Number"},
            {"id": 30, "start": 128, "end": 132, "name": "Cycle"},
        ],
    },
    {
        "name": "pathpoint_cont",
        "section_code": "P",
        "subsection_code": "P",
        "section_pos": 4,
        "subsection_pos": 12,
        "cont_rec_pos": 26,
        "cont_rec_vals": ["2"],
        "columns": [
            {"id": 1, "start": 0, "end": 1, "name": "Record_Type"},
            {"id": 2, "start": 1, "end": 4, "name": "Customer_Area_Code"},
            {"id": 3, "start": 4, "end": 5, "name": "Section_Code"},
            {"id": 4, "start": 6, "end": 10, "name": "Airport_Identifier"},
            {"id": 5, "start": 10, "end": 12, "name": "ICAO_Code"},
            {"id": 6, "start": 12, "end": 13, "name": "Subsection_Code"},
            {"id": 7, "start": 13, "end": 19, "name": "Approach_Identifier"},
            {"id": 8, "start": 19, "end": 24, "name": "Runway_or_Helipad_Identifier"},
            {"id": 9, "start": 24, "end": 26, "name": "Operations_Type"},
            {"id": 10, "start": 26, "end": 27, "name": "Continuation_Record"},
            {"id": 11, "start": 27, "end": 28, "name": "Application_Type"},
            {"id": 12, "start": 28, "end": 34, "name": "FPAP_Ellipsoid_Height"},
            {"id": 13, "start": 34, "end": 40, "name": "FPAP_Orthometric_Height"},
            {"id": 14, "start": 40, "end": 46, "name": "LTP_Orthometric_Height"},
            {"id": 15, "start": 46, "end": 56, "name": "Approach_Type_Identifier"},
            {"id": 16, "start": 56, "end": 61, "name": "GNSS_Channel_Number"},
            {"id": 17, "start": 71, "end": 74, "name": "HPC"},
            {"id": 18, "start": 74, "end": 123, "name": "Reserved"},
            {"id": 19, "start": 123, "end": 128, "name": "File_Record_Number"},
            {"id": 20, "start": 128, "end": 132, "name": "Cycle"},
        ],
    },
    {
        "name": "restrictive_airspace",
        "section_code": "U",
        "subsection_code": "R",
        "section_pos": 4,
        "subsection_pos": 5,
        "cont_rec_pos": 24,
        "cont_rec_vals": ["0", "1"],
        "columns": [
            {"id": 1, "start": 0, "end": 1, "name": "Record_Type"},
            {"id": 2, "start": 1, "end": 4, "name": "Customer_Area_Code"},
            {"id": 3, "start": 4, "end": 5, "name": "Section_Code"},
            {"id": 4, "start": 5, "end": 6, "name": "Subsection_Code"},
            {"id": 5, "start": 6, "end": 8, "name": "ICAO_Code"},
            {"id": 6, "start": 8, "end": 9, "name": "Restriction_Type"},
            {"id": 7, "start": 9, "end": 19, "name": "Designation"},
            {"id": 8, "start": 19, "end": 20, "name": "Multiple_Code"},
            {"id": 9, "start": 20, "end": 24, "name": "Sequence_Number"},
            {"id": 10, "start": 24, "end": 25, "name": "Continuation_Record"},
            {"id": 11, "start": 25, "end": 26, "name": "Level"},
            {"id": 12, "start": 26, "end": 27, "name": "Time_Code"},
            {"id": 13, "start": 27, "end": 28, "name": "NOTAM"},
            {"id": 14, "start": 30, "end": 32, "name": "Boundary_Via"},
            {"id": 15, "start": 32, "end": 41, "name": "Latitude"},
            {"id": 16, "start": 41, "end": 51, "name": "Longitude"},
            {"id": 17, "start": 51, "end": 60, "name": "Arc_Origin_Latitude"},
            {"id": 18, "start": 60, "end": 70, "name": "Arc_Origin_Longitude"},
            {"id": 19, "start": 70, "end": 74, "name": "Arc_Distance"},
            {"id": 20, "start": 74, "end": 78, "name": "Arc_Bearing"},
            {"id": 21, "start": 81, "end": 86, "name": "Lower_Limit"},
            {"id": 22, "start": 86, "end": 87, "name": "Lower_Limit_Unit_Indicator"},
            {"id": 23, "start": 87, "end": 92, "name": "Upper_Limit"},
            {"id": 24, "start": 92, "end": 93, "name": "Upper_Limit_Unit_Indicator"},
            {"id": 25, "start": 93, "end": 123, "name": "Restricted_Airspace_Name"},
            {"id": 26, "start": 123, "end": 128, "name": "File_Record_Number"},
            {"id": 27, "start": 128, "end": 132, "name": "Cycle"},
        ],
    },
    {
        "name": "restrictive_airspace_cont",
        "section_code": "U",
        "subsection_code": "R",
        "section_pos": 4,
        "subsection_pos": 5,
        "cont_rec_pos": 24,
        "cont_rec_vals": ["2"],
        "columns": [
            {"id": 1, "start": 0, "end": 1, "name": "Record_Type"},
            {"id": 2, "start": 1, "end": 4, "name": "Customer_Area_Code"},
            {"id": 3, "start": 4, "end": 5, "name": "Section_Code"},
            {"id": 4, "start": 5, "end": 6, "name": "Subsection_Code"},
            {"id": 5, "start": 6, "end": 8, "name": "ICAO_Code"},
            {"id": 6, "start": 8, "end": 9, "name": "Restriction_Type"},
            {"id": 7, "start": 9, "end": 19, "name": "Designation"},
            {"id": 8, "start": 19, "end": 20, "name": "Multiple_Code"},
            {"id": 9, "start": 20, "end": 24, "name": "Sequence_Number"},
            {"id": 10, "start": 24, "end": 25, "name": "Continuation_Record"},
            {"id": 11, "start": 25, "end": 26, "name": "Application_Type"},
            {"id": 12, "start": 26, "end": 27, "name": "Time_Code"},
            {"id": 13, "start": 27, "end": 28, "name": "NOTAM"},
            {"id": 14, "start": 28, "end": 29, "name": "Time_Indicator"},
            {"id": 15, "start": 29, "end": 39, "name": "Time_of_Operation_1"},
            {"id": 16, "start": 39, "end": 49, "name": "Time_of_Operation_2"},
            {"id": 17, "start": 49, "end": 59, "name": "Time_of_Operation_3"},
            {"id": 18, "start": 59, "end": 69, "name": "Time_of_Operation_4"},
            {"id": 19, "start": 69, "end": 79, "name": "Time_of_Operation_5"},
            {"id": 20, "start": 79, "end": 89, "name": "Time_of_Operation_6"},
            {"id": 21, "start": 89, "end": 99, "name": "Time_of_Operation_7"},
            {"id": 22, "start": 99, "end": 123, "name": "Controlling_Agency"},
            {"id": 23, "start": 123, "end": 128, "name": "File_Record_Number"},
            {"id": 24, "start": 128, "end": 132, "name": "Cycle"},
        ],
    },
    {
        "name": "runway",
        "section_code": "P",
        "subsection_code": "G",
        "section_pos": 4,
        "subsection_pos": 12,
        "cont_rec_pos": 21,
        "cont_rec_vals": ["0", "1"],
        "columns": [
            {"id": 1, "start": 0, "end": 1, "name": "Record_Type"},
            {"id": 2, "start": 1, "end": 4, "name": "Customer_Area_Code"},
            {"id": 3, "start": 4, "end": 5, "name": "Section_Code"},
            {"id": 4, "start": 6, "end": 10, "name": "Airport_Identifier"},
            {"id": 5, "start": 10, "end": 12, "name": "ICAO_Code"},
            {"id": 6, "start": 12, "end": 13, "name": "Subsection_Code"},
            {"id": 7, "start": 13, "end": 18, "name": "Runway_Identifier"},
            {"id": 8, "start": 21, "end": 22, "name": "Continuation_Record"},
            {"id": 9, "start": 22, "end": 27, "name": "Runway_Length"},
            {"id": 10, "start": 27, "end": 31, "name": "Runway_Bearing"},
            {"id": 11, "start": 32, "end": 41, "name": "Latitude"},
            {"id": 12, "start": 41, "end": 51, "name": "Longitude"},
            {"id": 13, "start": 51, "end": 56, "name": "Runway_Gradient"},
            {"id": 14, "start": 60, "end": 66, "name": "LTP_Elipsoid_Height"},
            {"id": 15, "start": 66, "end": 71, "name": "Landing_Threshold_Elevation"},
            {"id": 16, "start": 71, "end": 75, "name": "Displaced_Threshold"},
            {"id": 17, "start": 75, "end": 77, "name": "TCH"},
            {"id": 18, "start": 77, "end": 80, "name": "Width"},
            {"id": 19, "start": 80, "end": 81, "name": "TCH_Value_Indicator"},
            {"id": 20, "start": 81, "end": 85, "name": "LOC__MLS__GLS_Identifier"},
            {"id": 21, "start": 85, "end": 86, "name": "Category__Class"},
            {"id": 22, "start": 86, "end": 90, "name": "Stopway"},
            {
                "id": 23,
                "start": 90,
                "end": 94,
                "name": "Secondary_LOC_MLS_GLS_Identifier",
            },
            {"id": 24, "start": 94, "end": 95, "name": "Category__Class_2"},
            {"id": 25, "start": 101, "end": 123, "name": "Runway_Description"},
            {"id": 26, "start": 123, "end": 128, "name": "File_Record_Number"},
            {"id": 27, "start": 128, "end": 132, "name": "Cycle"},
        ],
    },
    {
        "name": "sid",
        "section_code": "P",
        "subsection_code": "D",
        "section_pos": 4,
        "subsection_pos": 12,
        "cont_rec_pos": 38,
        "cont_rec_vals": ["0", "1"],
        "columns": [
            {"id": 1, "start": 0, "end": 1, "name": "Record_Type"},
            {"id": 2, "start": 1, "end": 4, "name": "Customer_Area_Code"},
            {"id": 3, "start": 4, "end": 5, "name": "Section_Code"},
            {"id": 4, "start": 6, "end": 10, "name": "Airport_Identifier"},
            {"id": 5, "start": 10, "end": 12, "name": "ICAO_Code"},
            {"id": 6, "start": 12, "end": 13, "name": "Subsection_Code"},
            {"id": 7, "start": 13, "end": 19, "name": "Procedure_Identifier"},
            {"id": 8, "start": 19, "end": 20, "name": "Route_Type"},
            {"id": 9, "start": 20, "end": 25, "name": "Transition_Identifier"},
            {"id": 10, "start": 26, "end": 29, "name": "Sequence_Number"},
            {"id": 11, "start": 29, "end": 34, "name": "Fix_Identifier"},
            {"id": 12, "start": 34, "end": 36, "name": "ICAO_Code_2"},
            {"id": 13, "start": 36, "end": 37, "name": "Section_Code_2"},
            {"id": 14, "start": 37, "end": 38, "name": "Subsection_Code_2"},
            {"id": 15, "start": 38, "end": 39, "name": "Continuation_Record"},
            {"id": 16, "start": 39, "end": 43, "name": "Description_Code"},
            {"id": 17, "start": 43, "end": 44, "name": "Turn_Direction"},
            {"id": 18, "start": 44, "end": 47, "name": "RNP"},
            {"id": 19, "start": 47, "end": 49, "name": "Path_Terminator"},
            {"id": 20, "start": 49, "end": 50, "name": "Turn_Direction_Valid"},
            {"id": 21, "start": 50, "end": 54, "name": "Recommended_VHF_Navaid"},
            {"id": 22, "start": 54, "end": 56, "name": "ICAO_Code_3"},
            {"id": 23, "start": 56, "end": 62, "name": "Arc_Radius"},
            {"id": 24, "start": 62, "end": 66, "name": "Theta"},
            {"id": 25, "start": 66, "end": 70, "name": "Rho"},
            {"id": 26, "start": 70, "end": 74, "name": "Magnetic_Course"},
            {"id": 27, "start": 74, "end": 78, "name": "Route_Hold_Distance_Time"},
            {"id": 28, "start": 78, "end": 79, "name": "Section_Code_3"},
            {"id": 29, "start": 79, "end": 80, "name": "Subsection_Code_3"},
            {"id": 30, "start": 82, "end": 83, "name": "Altitude_Descriptor"},
            {"id": 31, "start": 83, "end": 84, "name": "ATC_Indicator"},
            {"id": 32, "start": 84, "end": 89, "name": "Altitude_1"},
            {"id": 33, "start": 89, "end": 94, "name": "Altitude_2"},
            {"id": 34, "start": 94, "end": 99, "name": "Transition_Altitude"},
            {"id": 35, "start": 99, "end": 102, "name": "Speed_Limit"},
            {"id": 36, "start": 102, "end": 106, "name": "Vertical_Angle"},
            {"id": 37, "start": 106, "end": 111, "name": "Center_Fix"},
            {"id": 38, "start": 111, "end": 112, "name": "Multiple_Code"},
            {"id": 39, "start": 112, "end": 114, "name": "ICAO_Code_4"},
            {"id": 40, "start": 114, "end": 115, "name": "Section_Code_4"},
            {"id": 41, "start": 115, "end": 116, "name": "Subsection_Code_4"},
            {"id": 42, "start": 116, "end": 117, "name": "GNSS__FMS_Indicator"},
            {"id": 43, "start": 117, "end": 118, "name": "Speed_Limit_Indicator"},
            {"id": 44, "start": 118, "end": 119, "name": "Route_Qualifier_1"},
            {"id": 45, "start": 119, "end": 120, "name": "Route_Qualifier_2"},
            {"id": 46, "start": 123, "end": 128, "name": "File_Record_Number"},
            {"id": 47, "start": 128, "end": 132, "name": "Cycle"},
        ],
    },
    {
        "name": "star",
        "section_code": "P",
        "subsection_code": "E",
        "section_pos": 4,
        "subsection_pos": 12,
        "cont_rec_pos": 38,
        "cont_rec_vals": ["0", "1"],
        "columns": [
            {"id": 1, "start": 0, "end": 1, "name": "Record_Type"},
            {"id": 2, "start": 1, "end": 4, "name": "Customer_Area_Code"},
            {"id": 3, "start": 4, "end": 5, "name": "Section_Code"},
            {"id": 4, "start": 6, "end": 10, "name": "Airport_Identifier"},
            {"id": 5, "start": 10, "end": 12, "name": "ICAO_Code"},
            {"id": 6, "start": 12, "end": 13, "name": "Subsection_Code"},
            {"id": 7, "start": 13, "end": 19, "name": "Procedure_Identifier"},
            {"id": 8, "start": 19, "end": 20, "name": "Route_Type"},
            {"id": 9, "start": 20, "end": 25, "name": "Transition_Identifier"},
            {"id": 10, "start": 26, "end": 29, "name": "Sequence_Number"},
            {"id": 11, "start": 29, "end": 34, "name": "Fix_Identifier"},
            {"id": 12, "start": 34, "end": 36, "name": "ICAO_Code_2"},
            {"id": 13, "start": 36, "end": 37, "name": "Section_Code_2"},
            {"id": 14, "start": 37, "end": 38, "name": "Subsection_Code_2"},
            {"id": 15, "start": 38, "end": 39, "name": "Continuation_Record"},
            {"id": 16, "start": 39, "end": 43, "name": "Description_Code"},
            {"id": 17, "start": 43, "end": 44, "name": "Turn_Direction"},
            {"id": 18, "start": 44, "end": 47, "name": "RNP"},
            {"id": 19, "start": 47, "end": 49, "name": "Path_Terminator"},
            {"id": 20, "start": 49, "end": 50, "name": "Turn_Direction_Valid"},
            {"id": 21, "start": 50, "end": 54, "name": "Recommended_VHF_Navaid"},
            {"id": 22, "start": 54, "end": 56, "name": "ICAO_Code_3"},
            {"id": 23, "start": 56, "end": 62, "name": "Arc_Radius"},
            {"id": 24, "start": 62, "end": 66, "name": "Theta"},
            {"id": 25, "start": 66, "end": 70, "name": "Rho"},
            {"id": 26, "start": 70, "end": 74, "name": "Magnetic_Course"},
            {"id": 27, "start": 74, "end": 78, "name": "Route_Hold_Distance_Time"},
            {"id": 28, "start": 78, "end": 79, "name": "Section_Code_3"},
            {"id": 29, "start": 79, "end": 80, "name": "Subsection_Code_3"},
            {"id": 30, "start": 82, "end": 83, "name": "Altitude_Descriptor"},
            {"id": 31, "start": 83, "end": 84, "name": "ATC_Indicator"},
            {"id": 32, "start": 84, "end": 89, "name": "Altitude_1"},
            {"id": 33, "start": 89, "end": 94, "name": "Altitude_2"},
            {"id": 34, "start": 94, "end": 99, "name": "Transition_Altitude"},
            {"id": 35, "start": 99, "end": 102, "name": "Speed_Limit"},
            {"id": 36, "start": 102, "end": 106, "name": "Vertical_Angle"},
            {"id": 37, "start": 106, "end": 111, "name": "Center_Fix"},
            {"id": 38, "start": 111, "end": 112, "name": "Multiple_Code"},
            {"id": 39, "start": 112, "end": 114, "name": "ICAO_Code_4"},
            {"id": 40, "start": 114, "end": 115, "name": "Section_Code_4"},
            {"id": 41, "start": 115, "end": 116, "name": "Subsection_Code_4"},
            {"id": 42, "start": 116, "end": 117, "name": "GNSS__FMS_Indicator"},
            {"id": 43, "start": 117, "end": 118, "name": "Speed_Limit_Indicator"},
            {"id": 44, "start": 118, "end": 119, "name": "Route_Qualifier_1"},
            {"id": 45, "start": 119, "end": 120, "name": "Route_Qualifier_2"},
            {"id": 46, "start": 123, "end": 128, "name": "File_Record_Number"},
            {"id": 47, "start": 128, "end": 132, "name": "Cycle"},
        ],
    },
    {
        "name": "terminal_navaid",
        "section_code": "P",
        "subsection_code": "N",
        "section_pos": 4,
        "subsection_pos": 5,
        "cont_rec_pos": 21,
        "cont_rec_vals": ["0", "1"],
        "columns": [
            {"id": 1, "start": 0, "end": 1, "name": "Record_Type"},
            {"id": 2, "start": 1, "end": 4, "name": "Customer_Area_Code"},
            {"id": 3, "start": 4, "end": 5, "name": "Section_Code"},
            {"id": 4, "start": 5, "end": 6, "name": "Subsection_Code"},
            {"id": 5, "start": 6, "end": 10, "name": "Airport_Identifier"},
            {"id": 6, "start": 10, "end": 12, "name": "ICAO_Code"},
            {"id": 7, "start": 13, "end": 17, "name": "NDB_Identifier"},
            {"id": 8, "start": 19, "end": 21, "name": "ICAO_Code_2"},
            {"id": 9, "start": 21, "end": 22, "name": "Continuation_Record"},
            {"id": 10, "start": 22, "end": 27, "name": "NDB_Frequency"},
            {"id": 11, "start": 27, "end": 32, "name": "NDB_Class"},
            {"id": 12, "start": 32, "end": 41, "name": "NDB_Latitude"},
            {"id": 13, "start": 41, "end": 51, "name": "NDB_Longitude"},
            {"id": 14, "start": 74, "end": 79, "name": "Magnetic_Variation"},
            {"id": 15, "start": 90, "end": 93, "name": "Datum_Code"},
            {"id": 16, "start": 93, "end": 123, "name": "NDB_Name"},
            {"id": 17, "start": 123, "end": 128, "name": "File_Record_Number"},
            {"id": 18, "start": 128, "end": 132, "name": "Cycle"},
        ],
    },
    {
        "name": "terminal_waypoint",
        "section_code": "P",
        "subsection_code": "C",
        "section_pos": 4,
        "subsection_pos": 12,
        "cont_rec_pos": 21,
        "cont_rec_vals": ["0", "1"],
        "columns": [
            {"id": 1, "start": 0, "end": 1, "name": "Record_Type"},
            {"id": 2, "start": 1, "end": 4, "name": "Customer_Area_Code"},
            {"id": 3, "start": 4, "end": 5, "name": "Section_Code"},
            {"id": 4, "start": 6, "end": 10, "name": "Airport_Identifier"},
            {"id": 5, "start": 10, "end": 12, "name": "ICAO_Code"},
            {"id": 6, "start": 12, "end": 13, "name": "Subsection_Code"},
            {"id": 7, "start": 13, "end": 18, "name": "Waypoint_Identifier"},
            {"id": 8, "start": 19, "end": 21, "name": "ICAO_Code_2"},
            {"id": 9, "start": 21, "end": 22, "name": "Continuation_Record"},
            {"id": 11, "start": 26, "end": 29, "name": "Type"},
            {"id": 12, "start": 29, "end": 31, "name": "Usage"},
            {"id": 13, "start": 32, "end": 41, "name": "Latitude"},
            {"id": 14, "start": 41, "end": 51, "name": "Longitude"},
            {"id": 15, "start": 74, "end": 79, "name": "Dynamic_Magnetic_Variation"},
            {"id": 16, "start": 79, "end": 84, "name": "Elevation"},
            {"id": 17, "start": 84, "end": 87, "name": "Datum_Code"},
            {"id": 18, "start": 95, "end": 98, "name": "Name_Format_Indicator"},
            {"id": 19, "start": 98, "end": 123, "name": "Name__Description"},
            {"id": 20, "start": 123, "end": 128, "name": "File_Record_Number"},
            {"id": 21, "start": 128, "end": 132, "name": "Cycle"},
        ],
    },
    {
        "name": "vhf_navaid",
        "section_code": "D",
        "subsection_code": " ",
        "section_pos": 4,
        "subsection_pos": 5,
        "cont_rec_pos": 21,
        "cont_rec_vals": ["0", "1"],
        "columns": [
            {"id": 1, "start": 0, "end": 1, "name": "Record_Type"},
            {"id": 2, "start": 1, "end": 4, "name": "Customer_Area_Code"},
            {"id": 3, "start": 4, "end": 5, "name": "Section_Code"},
            {"id": 4, "start": 5, "end": 6, "name": "Subsection_Code"},
            {"id": 5, "start": 6, "end": 10, "name": "Airport_Identifier"},
            {"id": 6, "start": 10, "end": 12, "name": "ICAO_Code"},
            {"id": 7, "start": 13, "end": 17, "name": "VOR_Identifier"},
            {"id": 8, "start": 19, "end": 21, "name": "ICAO_Code_2"},
            {"id": 9, "start": 21, "end": 22, "name": "Continuation_Record"},
            {"id": 10, "start": 22, "end": 27, "name": "VOR_Frequency"},
            {"id": 11, "start": 27, "end": 32, "name": "NAVAID_Class"},
            {"id": 12, "start": 32, "end": 41, "name": "VOR_Latitude"},
            {"id": 13, "start": 41, "end": 51, "name": "VOR_Longitude"},
            {"id": 14, "start": 51, "end": 55, "name": "DME_Identifier"},
            {"id": 15, "start": 55, "end": 64, "name": "DME_Latitude"},
            {"id": 16, "start": 64, "end": 74, "name": "DME_Longitude"},
            {"id": 17, "start": 74, "end": 79, "name": "Station_Declination"},
            {"id": 18, "start": 79, "end": 84, "name": "DME_Elevation"},
            {"id": 19, "start": 84, "end": 85, "name": "FOM"},
            {"id": 20, "start": 85, "end": 87, "name": "ILS_DME_Bias"},
            {"id": 21, "start": 87, "end": 90, "name": "Frequency_Protection"},
            {"id": 22, "start": 90, "end": 93, "name": "Datum_Code"},
            {"id": 23, "start": 93, "end": 123, "name": "VOR_Name"},
            {"id": 24, "start": 123, "end": 128, "name": "File_Record_Number"},
            {"id": 25, "start": 128, "end": 132, "name": "Cycle"},
        ],
    },
]
